nxt.blockchain

## Class ChildTransactionImpl.BuilderImpl

- java.lang.Object
- - nxt.blockchain.TransactionImpl.BuilderImpl
  - - nxt.blockchain.ChildTransactionImpl.BuilderImpl

- All Implemented Interfaces:
    ChildTransaction.Builder, Transaction.Builder
  Enclosing class:
    ChildTransactionImpl

      public static final class ChildTransactionImpl.BuilderImpl
      extends TransactionImpl.BuilderImpl
      implements ChildTransaction.Builder

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildTransactionImpl` | `build()`
    `ChildTransactionImpl` | `build(java.lang.String secretPhrase)`
    `ChildTransactionImpl` | `build(java.lang.String secretPhrase, boolean isVoucher)`
    `ChildTransactionImpl.BuilderImpl` | `feeRateNQTPerFXT(long feeRateNQTPerFXT)`
    `ChildTransactionImpl.BuilderImpl` | `referencedTransaction(ChainTransactionId referencedTransactionId)`

    - ### Methods inherited from class nxt.blockchain.TransactionImpl.BuilderImpl

      `appendix, ecBlockHeight, ecBlockId, height, recipientId, timestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.blockchain.Transaction.Builder

      `appendix, ecBlockHeight, ecBlockId, recipientId, timestamp`

- - ### Method Detail

    - #### build

          public ChildTransactionImpl build(java.lang.String secretPhrase,
                                            boolean isVoucher)
                                     throws NxtException.NotValidException

      Specified by:
        `build` in interface `ChildTransaction.Builder`
      Specified by:
        `build` in interface `Transaction.Builder`
      Throws:
        `NxtException.NotValidException`

    - #### build

          public ChildTransactionImpl build(java.lang.String secretPhrase)
                                     throws NxtException.NotValidException

      Specified by:
        `build` in interface `ChildTransaction.Builder`
      Specified by:
        `build` in interface `Transaction.Builder`
      Specified by:
        `build` in class `TransactionImpl.BuilderImpl`
      Throws:
        `NxtException.NotValidException`

    - #### build

          public ChildTransactionImpl build()
                                     throws NxtException.NotValidException

      Specified by:
        `build` in interface `ChildTransaction.Builder`
      Specified by:
        `build` in interface `Transaction.Builder`
      Specified by:
        `build` in class `TransactionImpl.BuilderImpl`
      Throws:
        `NxtException.NotValidException`

    - #### referencedTransaction

          public ChildTransactionImpl.BuilderImpl referencedTransaction(ChainTransactionId referencedTransactionId)

      Specified by:
        `referencedTransaction` in interface `ChildTransaction.Builder`

    - #### feeRateNQTPerFXT

          public ChildTransactionImpl.BuilderImpl feeRateNQTPerFXT(long feeRateNQTPerFXT)

      Specified by:
        `feeRateNQTPerFXT` in interface `ChildTransaction.Builder`